Join a voice channel
const url = 'https://api.gampeon.com/v1/communities/1/channels/1/voice';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.gampeon.com/v1/communities/1/channels/1/voice \ --header 'Authorization: Bearer <token>'Needs connect in the channel, no timeout and an age of 16 or older. Returns the address of the voice server and a token for this channel only, valid for 10 minutes to connect (LiveKit keeps the connection alive after that). The token allows the microphone only with speak (and when not muted by moderators) and screen sharing with sound only with stream. You can be in one voice channel at a time: joining another one disconnects you from the first. Full channels (userLimit) can only be joined with moveMembers; at most 100 people per channel.
Not available with access tokens.
Rate limit: 30 per 10 minutes per account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Community ID
Channel ID
Responses
Section titled “Responses”Token
object
WebSocket address of the voice server
Access token for the voice server
Your random ID on the voice server
Connect before this
Your permissions in this channel
Muted by moderators of the community
Example generated
{ "url": "example", "token": "example", "room": "example", "identity": "example", "expiresAt": 1, "permissions": 1, "muted": true, "canSpeak": true, "canStream": true}Error codes: not_a_voice_channel
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed, age_restricted, timed_out, missing_permission, banned, community_hidden
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: channel_full
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Limit: 30 per 10 minutes per account. Error codes: rate_limited
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: voice_unavailable
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}